searchNodes=[{"doc":"Functions for parsing kmsg strings","ref":"NervesLogging.KmsgParser.html","title":"NervesLogging.KmsgParser","type":"module"},{"doc":"Parse out the kmsg facility, severity, and message (including the timestamp and host) from a kmsg-formatted string. See https://elixir.bootlin.com/linux/latest/source/Documentation/ABI/testing/dev-kmsg for full details. Most messages are of the form: priority,sequence,timestamp,flag;message priority is an integer that when broken apart gives you a facility and severity. sequence is a monotonically increasing counter timestamp is the time in microseconds flag is almost always - message is everything else This parser only supports the minimum kmsg reports. The spec above describes more functionality, but it appears to be uncommon and I haven't seen any examples yet in my testing.","ref":"NervesLogging.KmsgParser.html#parse/1","title":"NervesLogging.KmsgParser.parse/1","type":"function"},{"doc":"Collects operating system-level messages from /proc/kmsg , forwarding them to Logger with an appropriate level to match the syslog priority parsed out of the message.","ref":"NervesLogging.KmsgTailer.html","title":"NervesLogging.KmsgTailer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"NervesLogging.KmsgTailer.html#child_spec/1","title":"NervesLogging.KmsgTailer.child_spec/1","type":"function"},{"doc":"Start the kmsg monitoring GenServer.","ref":"NervesLogging.KmsgTailer.html#start_link/1","title":"NervesLogging.KmsgTailer.start_link/1","type":"function"},{"doc":"Functions for parsing syslog strings","ref":"NervesLogging.SyslogParser.html","title":"NervesLogging.SyslogParser","type":"module"},{"doc":"Decode a syslog priority to facility and severity","ref":"NervesLogging.SyslogParser.html#decode_priority/1","title":"NervesLogging.SyslogParser.decode_priority/1","type":"function"},{"doc":"Parse out the syslog facility, severity, and message (including the timestamp and host) from a syslog-formatted string. The message is of the form: &lt;pri&gt;message pri is an integer that when broken apart gives you a facility and severity. message is everything else.","ref":"NervesLogging.SyslogParser.html#parse/1","title":"NervesLogging.SyslogParser.parse/1","type":"function"},{"doc":"","ref":"NervesLogging.SyslogParser.html#t:facility/0","title":"NervesLogging.SyslogParser.facility/0","type":"type"},{"doc":"","ref":"NervesLogging.SyslogParser.html#t:severity/0","title":"NervesLogging.SyslogParser.severity/0","type":"type"},{"doc":"This GenServer routes syslog messages from C-based applications and libraries through the Elixir Logger for collection.","ref":"NervesLogging.SyslogTailer.html","title":"NervesLogging.SyslogTailer","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"NervesLogging.SyslogTailer.html#child_spec/1","title":"NervesLogging.SyslogTailer.child_spec/1","type":"function"},{"doc":"Start the local syslog GenServer.","ref":"NervesLogging.SyslogTailer.html#start_link/1","title":"NervesLogging.SyslogTailer.start_link/1","type":"function"},{"doc":"NervesLogging forwards log messages from the Linux kernel and syslog to the Elixir logger. It's used with Nerves so that all log messages pass through one place. There's no configuration. NervesLogging starts automatically. Messages logged by NervesLogging copy the &quot;Syslog&quot; severity directly to the Logger level. This means that if the kernel's level is &quot;Error&quot;, the Elixir level will be :error . Since Elixir 1.11 and later have the same log levels as Syslog, this mapping is 1:1. The Syslog facility is passed via log metadata. See the Elixir Logger documentation for reducing what's logged if the system logs become too noisy. For example, try Logger.put_application_level(:nerves_logging, :error) .","ref":"readme.html","title":"NervesLogging","type":"extras"},{"doc":"Copyright (C) 2017-22 Nerves Project Authors Licensed under the Apache License , Version 2.0 ( the &quot;License&quot; ) ; you may not use this file except in compliance with the License . You may obtain a copy of the License at [ http :// www . apache . org / licenses / LICENSE - 2.0 ] ( http :// www . apache . org / licenses / LICENSE - 2.0 ) Unless required by applicable law or agreed to in writing , software distributed under the License is distributed on an &quot;AS IS&quot; BASIS , WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND , either express or implied . See the License for the specific language governing permissions and limitations under the License .","ref":"readme.html#license","title":"NervesLogging - License","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Extract system logging from nerves_runtime . Updates Require Elixir 1.11 and remove all syslog-to-Elixir log level conversion code since Elixir accepts all of the syslog levels now. Remove the :severity field from log messages since it's redundant now. It's unknown if this field was actually used.","ref":"changelog.html#v0-1-0-2022-04-26","title":"Changelog - v0.1.0 - 2022-04-26","type":"extras"}]